---
title: "EPLF"
date: 2020-07-09T17:50:53+02:00
draft: false
---

The Electron Pair Localization Function is a function defined in the
three-dimensional space. It measures the degree of pairing of electrons in a
molecule, with an increasing value as the electron pairing increases. Therefore
chemical bonds, core domains and lone pairs can be visualized.

![Example](./c2h_eplf.jpg)

## Download

The following packages are needed:
 - [IRPF90](http://irpf90.ups-tlse.fr)
 - [EZFIO](http://gitlab.com/scemama/EZFIO)

The source code can be downloaded [here](https://gitlab.com/scemama/eplf)


## Related Papers

[Electron pair localization function, a practical tool to visualize electron localization in molecules from quantum Monte Carlo data](http://dx.doi.org/10.1063/1.1765098)

A. Scemama, P. Chaquin, M. Caffarel, J. Chem. Phys., vol 121, pp. 1725-1735 (2004).

[Electron Pair Localization Function (EPLF) for Density Functional Theory and ab initio wave function-based methods : a new tool for chemical interpretation](http://pubs.acs.org/doi/abs/10.1021/ct1005938)

A. Scemama, M. Caffarel, R. Chaudret, J.-P. Piquemal, J. Chem. Theory Comput. vol. 7 (3), pp. 618–624 (2011).

