---
title: "IRPF90"
date: 2020-07-09T17:50:54+02:00
draft: false
---

Web page : http://irpf90.ups-tlse.fr

IRPF90 is a Fortran programming environment which helps the development of large Fortran codes by applying the Implicit Reference to Parameters method (IRP).

In Fortran programs, the programmer has to focus on the order of the instructions: before using a variable, the programmer has to be sure that it has already been computed in all possible situations. For large codes, it is common source of error.

In IRPF90 most of the order of instructions is handled by the pre-processor, and an automatic mechanism guarantees that every entity is built before being used. This mechanism relies on the {needs/needed by} relations between the entities, which are built automatically.

Codes written with IRPF90 execute often faster than Fortran programs, are faster to write and easier to maintain.

## People involved
 - Anthony Scemama

## Download
 - https://gitlab.com/scemama/irpf90.git

## Related Papers
[IRPF90: a programming environment for high performance computing](http://arxiv.org/abs/0909.5012)

A. Scemama, ArXiv e-prints, arXiv:0909.5012 [cs.SE], 2009.

