---
title: "Neptunus"
date: 2020-07-09T17:50:54+02:00
draft: false
---

**NEPTUNUS** is a FORTRAN code for the calculation of FCI energies and properties written by Bendazzoli G L and Evangelisti S with contributions from Gagliardi L; Giner E; Monari A; Verdicchio M.

It uses the one- and two-electron molecular integrals computed on the Hartree-Fock atomic orbitals (AO), that are obtained with the DALTON quantum chemistry package. Then, the AO integrals are transformed on the Hartree-Fock Molecular Orbital (MO) basis set, by using the 4-index transformation using the Ferrara code. Finally, NEPTUNUS, performs the calculation at Full-CI level.

## How to install it ?
 1. Unpack the tarball.
 2. Compile the following programs:
 - Dalton2fci/IJKL
 - Dalton2fci/DALCOST
 - Dalton2fci/PROPERTIES

*Note*: you will find a makefile to change accordingly.

 3. Compile the FCI program by doing the following: in the directory `NEPTUNUS/_TESTDY`: check the file `OBJ/makefile`, change it if needed, and run:

```bash
> make -COBJ mizar

> make -COBJ alcor
```

## Running the tests

Go to `NEPTUNUS/TEST/H2O` and run:

```bash
> waterdz.sh

> waterdz_core.sh

> greppo.sh
```

You should get the files momentum.dat and position.dat Compare them with momentum_GLB.dat and position_GLB.dat respectively.

## How to perform a FCI calculation?
 1. Run DALTON
 2. Run ijkldali6 (4index transformation)
 3. Run dalcost: prepares the integral file(s) of the hamiltonian from IJKL output
 4. Run properties: transforms the integrals of dipole, secmom and other operators
 5. Run FCI programs: alcor for max 2+2 electrons, otherwise mizar

You can see an example in the TEST/H2O directory.

## Related Papers
 - Bendazzoli G L, Evangelisti S (1993) A vector and parallel full configuration interaction algorithm. J Chem Phys 98:3141.
 - Bendazzoli G L, Evangelisti S (1993) Computation and analysis of the full configuration interaction wave function of some simple systems. Int J Quantum Chem 48:287–301.
 - Gagliardi L, Bendazzoli G L, Evangelisti S (1997) Direct-list algorithm for configuration interaction calculations. J Comput Chem 18:1329–1343.

